---
lang: en
title: 'API docs: socketio.socketioserveroptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioserveroptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoServerOptions](./socketio.socketioserveroptions.md)

## SocketIoServerOptions interface

**Signature:**

```typescript
export interface SocketIoServerOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [httpServerOptions?](./socketio.socketioserveroptions.httpserveroptions.md) |  | [HttpServerResolvedOptions](./socketio.httpserverresolvedoptions.md) | _(Optional)_ |
|  [socketIoOptions?](./socketio.socketioserveroptions.socketiooptions.md) |  | ServerOptions | _(Optional)_ |


